Panda3D

Loading...
Searching...
No Matches
Classes | Functions | Variables
direct.directtools.DirectCameraControl Namespace Reference

## Classes
class | DirectCameraControl

## Functions
| centerCam (self)
| centerCamIn (self, t)
| centerCamNow (self)
| computeCOA (self, entry)
| disableMouseFly (self)
| enableMouseFly (self, fKeyEvents=1)
| fitOnWidget (self, nodePath='None Given')
| homeCam (self)
| HPanYZoomTask (self, state)
| HPPanTask (self, state)
| lockCOA (self)
| mouseDollyStart (self, modifiers)
| mouseDollyStop (self)
| mouseFlyStart (self, modifiers)
| mouseFlyStartTopWin (self)
| mouseFlyStop (self)
| mouseFlyStopTopWin (self)
| mouseRollTask (self, state)
| mouseRotateStart (self, modifiers)
| if base.direct.cameraControl.coaMarker.isHidden(): base.direct.cameraControl.coaMarker.show() else: base.direct.cameraControl.coaMarker.hide()
| mouseRotateTask (self, state)
| moveToFit (self)
| orbitUprightCam (self)
| OrthoTranslateTask (self, state)
| OrthoZoomTask (self, state)
| pickNextCOA (self)
| removeManipulateCameraTask (self)
| reparentCam (self, parent)
| spawnHPanYZoom (self)
| spawnHPPan (self)
| spawnMouseRollTask (self)
| spawnMouseRotateTask (self)
| spawnMoveToView (self, view)
| spawnOrthoTranslate (self)
| spawnOrthoZoom (self)
| spawnXZTranslate (self)
| spawnXZTranslateOrHPanYZoom (self)
| spawnXZTranslateOrHPPan (self)
| stickToWidgetTask (self, state)
| swingCamAboutWidget (self, degrees, t)
| toggleCOALock (self)
| toggleMarkerVis (self)
| unlockCOA (self)
| updateCoa (self, ref2point, coaDist=None, ref=None)
| updateCoaMarkerSize (self, coaDist=None)
| updateCoaMarkerSizeOnDeath (self)
| uprightCam (self)
| XZTranslateOrHPanYZoomTask (self, state)
| XZTranslateOrHPPanTask (self, state)
| XZTranslateTask (self, state)
| zoomCam (self, zoomFactor, t)

## Variables
| actionEvents
int | altDown
float | CAM_MOVE_DURATION = 1.2
| camManipRef = base.direct.camera.getTransform(self.camManipRef)
| coa
float | COA_MARKER_SF = 0.0075
| coaMarker = 7:
| coaMarkerColorIval
| coaMarkerPos = np.getPos()
list | cqEntries = []
int | fLockCOA = 1
| keyEvents
| self.keyEvents = [ ['c', self.centerCamIn, 0.5], ['f', self.fitOnWidget], # Note: This function doesn't work as intended ['h', self.homeCam], ['shift-v', self.toggleMarkerVis], ['m', self.moveToFit], # Note: This function doesn't work as intended; the object dissappears and screen flashes ['n', self.pickNextCOA], ['u', self.orbitUprightCam], ['shift-u', self.uprightCam], [repr(1), self.spawnMoveToView, 1], [repr(2), self.spawnMoveToView, 2], [repr(3), self.spawnMoveToView, 3], [repr(4), self.spawnMoveToView, 4], [repr(5), self.spawnMoveToView, 5], [repr(6), self.spawnMoveToView, 6], [repr(7), self.spawnMoveToView, 7], [repr(8), self.spawnMoveToView, 8], ['9', self.swingCamAboutWidget, -90.0, t], ['0', self.swingCamAboutWidget, 90.0, t], ['‘’, self.removeManipulateCameraTask], ['=', self.zoomCam, 0.5, t], ['+', self.zoomCam, 0.5, t], ['-', self.zoomCam, -2.0, t], ['_', self.zoomCam, -2.0, t], ]
| lastView = view
bool | lockRoll
| manipulateCameraInterval = None
| manipulateCameraTask
int | nullHitPointCount = 0
tuple | orthoViewRoll = (self.orthoViewRoll + 90.0) % 360.0
| perspCollPlane = 0:
| perspCollPlane2
| startF = globalClock.getFrameCount()
| startT = globalClock.getFrameTime()
| stickToWidgetTask
# use maya controls | useMayaCamControls
| Y_AXIS = Vec3(0, 1, 0)

## Function Documentation

## ◆ centerCam()

centerCam | ( |  | self | ) |

## ◆ centerCamIn()

centerCamIn | ( |  | self,
|  |  | t )

## ◆ centerCamNow()

centerCamNow | ( |  | self | ) |

## ◆ computeCOA()

computeCOA | ( |  | self,
|  |  | entry )

## ◆ disableMouseFly()

disableMouseFly | ( |  | self | ) |

## ◆ enableMouseFly()

enableMouseFly | ( |  | self,
|  |  | fKeyEvents = 1 )

## ◆ fitOnWidget()

fitOnWidget | ( |  | self,
|  |  | nodePath = 'None Given' )

## ◆ homeCam()

homeCam | ( |  | self | ) |

## ◆ HPanYZoomTask()

HPanYZoomTask | ( |  | self,
|  |  | state )

## ◆ HPPanTask()

HPPanTask | ( |  | self,
|  |  | state )

## ◆ lockCOA()

lockCOA | ( |  | self | ) |

## ◆ mouseDollyStart()

mouseDollyStart | ( |  | self,
|  |  | modifiers )

## ◆ mouseDollyStop()

mouseDollyStop | ( |  | self | ) |

## ◆ mouseFlyStart()

mouseFlyStart | ( |  | self,
|  |  | modifiers )

## ◆ mouseFlyStartTopWin()

mouseFlyStartTopWin | ( |  | self | ) |

## ◆ mouseFlyStop()

mouseFlyStop | ( |  | self | ) |

## ◆ mouseFlyStopTopWin()

mouseFlyStopTopWin | ( |  | self | ) |

## ◆ mouseRollTask()

mouseRollTask | ( |  | self,
|  |  | state )

## ◆ mouseRotateStart()

mouseRotateStart | ( |  | self,
|  |  | modifiers )

if base.direct.cameraControl.coaMarker.isHidden(): base.direct.cameraControl.coaMarker.show() else: base.direct.cameraControl.coaMarker.hide()

## ◆ mouseRotateTask()

mouseRotateTask | ( |  | self,
|  |  | state )

## ◆ moveToFit()

moveToFit | ( |  | self | ) |

## ◆ orbitUprightCam()

orbitUprightCam | ( |  | self | ) |

## ◆ OrthoTranslateTask()

OrthoTranslateTask | ( |  | self,
|  |  | state )

## ◆ OrthoZoomTask()

OrthoZoomTask | ( |  | self,
|  |  | state )

## ◆ pickNextCOA()

pickNextCOA | ( |  | self | ) |

     Cycle through collision handler entries

## ◆ removeManipulateCameraTask()

removeManipulateCameraTask | ( |  | self | ) |

## ◆ reparentCam()

reparentCam | ( |  | self,
|  |  | parent )

## ◆ spawnHPanYZoom()

spawnHPanYZoom | ( |  | self | ) |

## ◆ spawnHPPan()

spawnHPPan | ( |  | self | ) |

## ◆ spawnMouseRollTask()

spawnMouseRollTask | ( |  | self | ) |

## ◆ spawnMouseRotateTask()

spawnMouseRotateTask | ( |  | self | ) |

## ◆ spawnMoveToView()

spawnMoveToView | ( |  | self,
|  |  | view )

## ◆ spawnOrthoTranslate()

spawnOrthoTranslate | ( |  | self | ) |

## ◆ spawnOrthoZoom()

spawnOrthoZoom | ( |  | self | ) |

## ◆ spawnXZTranslate()

spawnXZTranslate | ( |  | self | ) |

## ◆ spawnXZTranslateOrHPanYZoom()

spawnXZTranslateOrHPanYZoom | ( |  | self | ) |

## ◆ spawnXZTranslateOrHPPan()

spawnXZTranslateOrHPPan | ( |  | self | ) |

## ◆ stickToWidgetTask()

stickToWidgetTask | ( |  | self,
|  |  | state )

## ◆ swingCamAboutWidget()

swingCamAboutWidget | ( |  | self,
|  |  | degrees,
|  |  | t )

## ◆ toggleCOALock()

toggleCOALock | ( |  | self | ) |

## ◆ toggleMarkerVis()

toggleMarkerVis | ( |  | self | ) |

## ◆ unlockCOA()

unlockCOA | ( |  | self | ) |

## ◆ updateCoa()

updateCoa | ( |  | self,
|  |  | ref2point,
|  |  | coaDist = None,
|  |  | ref = None )

## ◆ updateCoaMarkerSize()

updateCoaMarkerSize | ( |  | self,
|  |  | coaDist = None )

## ◆ updateCoaMarkerSizeOnDeath()

updateCoaMarkerSizeOnDeath | ( |  | self | ) |

## ◆ uprightCam()

uprightCam | ( |  | self | ) |

## ◆ XZTranslateOrHPanYZoomTask()

XZTranslateOrHPanYZoomTask | ( |  | self,
|  |  | state )

## ◆ XZTranslateOrHPPanTask()

XZTranslateOrHPPanTask | ( |  | self,
|  |  | state )

## ◆ XZTranslateTask()

XZTranslateTask | ( |  | self,
|  |  | state )

## ◆ zoomCam()

zoomCam | ( |  | self,
|  |  | zoomFactor,
|  |  | t )

## Variable Documentation

## ◆ actionEvents

actionEvents

## ◆ altDown

int altDown

## ◆ CAM_MOVE_DURATION

float CAM_MOVE_DURATION = 1.2

## ◆ camManipRef

camManipRef = base.direct.camera.getTransform(self.camManipRef)

## ◆ coa

coa

## ◆ COA_MARKER_SF

float COA_MARKER_SF = 0.0075

## ◆ coaMarker

coaMarker = 7:

## ◆ coaMarkerColorIval

coaMarkerColorIval

## ◆ coaMarkerPos

coaMarkerPos = np.getPos()

## ◆ cqEntries

list cqEntries = []

## ◆ fLockCOA

int fLockCOA = 1

## ◆ keyEvents

keyEvents

self.keyEvents = [ ['c', self.centerCamIn, 0.5], ['f', self.fitOnWidget], # Note: This function doesn't work as intended ['h', self.homeCam], ['shift-v', self.toggleMarkerVis], ['m', self.moveToFit], # Note: This function doesn't work as intended; the object dissappears and screen flashes ['n', self.pickNextCOA], ['u', self.orbitUprightCam], ['shift-u', self.uprightCam], [repr(1), self.spawnMoveToView, 1], [repr(2), self.spawnMoveToView, 2], [repr(3), self.spawnMoveToView, 3], [repr(4), self.spawnMoveToView, 4], [repr(5), self.spawnMoveToView, 5], [repr(6), self.spawnMoveToView, 6], [repr(7), self.spawnMoveToView, 7], [repr(8), self.spawnMoveToView, 8], ['9', self.swingCamAboutWidget, -90.0, t], ['0', self.swingCamAboutWidget, 90.0, t], ['‘’, self.removeManipulateCameraTask], ['=', self.zoomCam, 0.5, t], ['+', self.zoomCam, 0.5, t], ['-', self.zoomCam, -2.0, t], ['_', self.zoomCam, -2.0, t], ]

## ◆ lastView

lastView = view

## ◆ lockRoll

bool lockRoll

## ◆ manipulateCameraInterval

manipulateCameraInterval = None

## ◆ manipulateCameraTask

manipulateCameraTask

## ◆ nullHitPointCount

int nullHitPointCount = 0

## ◆ orthoViewRoll

tuple orthoViewRoll = (self.orthoViewRoll + 90.0) % 360.0

## ◆ perspCollPlane

perspCollPlane = 0:

## ◆ perspCollPlane2

perspCollPlane2

## ◆ startF

startF = globalClock.getFrameCount()

## ◆ startT

startT = globalClock.getFrameTime()

## ◆ stickToWidgetTask

stickToWidgetTask

## ◆ useMayaCamControls

# use maya controls useMayaCamControls

## ◆ Y_AXIS

Y_AXIS = Vec3(0, 1, 0)